%define	_exec_prefix	/

Summary:	The GNU line editor
Name:		ed
Version:	1.14.2
Release:	%mkrel 1
License:	GPLv3+
Group:		Editors
URL:		http://www.gnu.org/software/ed/ed.html
Source0:	ftp://ftp.gnu.org/pub/gnu/ed/ed-%{version}.tar.lz

BuildRequires:	lzip

%description
Ed is a line-oriented text editor, used to create, display, and modify text
files (both interactively and via shell scripts).  For most purposes, ed has
been replaced in normal usage by full-screen editors (emacs and vi, for
example).

Ed was the original UNIX editor, and may be used by some programs.  In general,
however, you probably don't need to install it and you probably won't use it
much.

%prep
%setup -q

%build
%configure2_5x --bindir=%{_bindir} CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"
%make_build

%check
# all tests must pass
make check

%install

%make_install

%files
%defattr(-,root,root,0755)
%doc NEWS README AUTHORS TODO ChangeLog
%{_bindir}/ed
%{_bindir}/red
%{_infodir}/ed.info*
%{_mandir}/*/*


%changelog
* Sun Feb 26 2017 luigiwalser <luigiwalser> 1.14.2-1.mga6
+ Revision: 1087924
- 1.14.2

* Tue Jan 17 2017 mrambo3501 <mrambo3501> 1.14.1-1.mga6
+ Revision: 1082168
- update to 1.14.1 fixes CVE-2017-5357

* Mon May 09 2016 luigiwalser <luigiwalser> 1.13-1.mga6
+ Revision: 1011345
- 1.13

* Thu Feb 11 2016 umeabot <umeabot> 1.12-2.mga6
+ Revision: 953812
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 blino <blino> 1.12-1.mga6
+ Revision: 857140
- 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.10-3.mga5
+ Revision: 740642
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10-2.mga5
+ Revision: 678953
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 sander85 <sander85> 1.10-1.mga5
+ Revision: 659859
- New version: 1.10

* Sun Oct 20 2013 umeabot <umeabot> 1.9-2.mga4
+ Revision: 536716
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 boklm <boklm> 1.9-1.mga4
+ Revision: 485406
- Version 1.9

* Tue Jun 11 2013 boklm <boklm> 1.8-1.mga4
+ Revision: 441959
- Version 1.8

* Fri Jan 11 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 349481
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 fwang <fwang> 1.7-1.mga3
+ Revision: 322220
- new version 1.7

* Fri Oct 26 2012 malo <malo> 1.6-2.mga3
+ Revision: 310375
- spec clean-up
- fix RPM group

* Mon Jan 02 2012 boklm <boklm> 1.6-1.mga2
+ Revision: 189749
- version 1.6

* Sat Jan 08 2011 blino <blino> 1.5-1.mga1
+ Revision: 1007
- imported package ed

